# Introduction

Earthly is a build automation tool where docker containers are used to enforce build repeatability. Earthly is meant to be run on your local system and in your CI. Implicit caching and parallelism mean your build will be repeatable and fast.

This tutorial will walk you through a basic example of using Earthly.

* Introduction <-- You are here.
* [Part 1: A simple Earthfile](./part-1-a-simple-earthfile.md)
* [Part 2: Detailed explanation](./part-2-detailed-explanation.md)
* [Part 3: Adding dependencies in the mix](./part-3-adding-dependencies-in-the-mix.md)
* [Part 4: Efficient caching of dependencies](./part-4-efficient-caching-of-dependencies.md)
* [Part 5: Reduce code duplication](./part-5-reduce-code-duplication.md)
* [Final words](./final-words.md)

## Installation

Before going any further, it is advisable that you install `earthly` on your computer, so you can follow along and try out the examples. See the [installation instructions](https://earthly.dev/get-earthly).

## Maintenance

Earthly is free and open and we would greatly appreciate any suggestions for improvement on this tutorial, or on Earthly in general. To leave feedback either visit our [Slack community](https://earthly.dev/slack) or open a [GitHub issue](https://github.com/earthly/earthly/issues). We would love to learn of any issues you may have encountered while getting to know Earthly.

## Begin

We will start the first lesson with a simple Earthfile.

👉 [Part 1: A simple Earthfile](./part-1-a-simple-earthfile.md)
